FreeMat

- Main Page
- Related Pages

vtkTriangleFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkTriangleFilter generates triangles from input polygons and triangle strips. The filter also will pass through vertices and lines, if requested.

To create an instance of class vtkTriangleFilter, simply invoke its constructor as follows

      obj = vtkTriangleFilter

# Methods

The class vtkTriangleFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTriangleFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTriangleFilter = obj.NewInstance ()`
- `vtkTriangleFilter = obj.SafeDownCast (vtkObject o)`
- `obj.PassVertsOn ()` - Turn on/off passing vertices through filter.
- `obj.PassVertsOff ()` - Turn on/off passing vertices through filter.
- `obj.SetPassVerts (int )` - Turn on/off passing vertices through filter.
- `int = obj.GetPassVerts ()` - Turn on/off passing vertices through filter.
- `obj.PassLinesOn ()` - Turn on/off passing lines through filter.
- `obj.PassLinesOff ()` - Turn on/off passing lines through filter.
- `obj.SetPassLines (int )` - Turn on/off passing lines through filter.
- `int = obj.GetPassLines ()` - Turn on/off passing lines through filter.